Package org.apache.sling.commons.testing.integration

# Class NameValuePairList

java.lang.Object
org.apache.sling.commons.testing.integration.NameValuePairList

All Implemented Interfaces:
  `Iterable<NameValuePair>`

public class NameValuePairList extends Object implements Iterable<NameValuePair>
A list of name-value pairs.

## Constructor Summary

Constructors
Constructor
Description
`NameValuePairList()`
`NameValuePairList(List<NameValuePair> init)`
`NameValuePairList(Map<String,String> clientNodeProperties)`
`NameValuePairList(NameValuePairList clientNodeProperties)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String name, String value)`
`void`
`addIfNew(String name, String value)`
`void`
`addOrReplace(String name, String value)`
`void`
`addOrReplaceAll(NameValuePairList other)`
`void`
`clear()`
`Iterator<NameValuePair>`
`iterator()`
`void`
`prependIfNew(String name, String value)`
`int`
`size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### NameValuePairList

public NameValuePairList()

### NameValuePairList

public NameValuePairList(List<NameValuePair> init)

### NameValuePairList

public NameValuePairList(NameValuePairList clientNodeProperties)

### NameValuePairList

public NameValuePairList(Map<String,String> clientNodeProperties)

## Method Details

### add

public void add(String name, String value)

### addIfNew

public void addIfNew(String name, String value)

### addOrReplace

public void addOrReplace(String name, String value)

### addOrReplaceAll

public void addOrReplaceAll(NameValuePairList other)

### clear

public void clear()

### iterator

public Iterator<NameValuePair> iterator()

Specified by:
  `iterator` in interface `Iterable<NameValuePair>`

### prependIfNew

public void prependIfNew(String name, String value)

### size

public int size()